<?php
/**
Plugin Name: DD Welcome
Plugin URI: http://www.diplod.it/2007/08/13/welcome-css-sliding-box-wordpress-plugin/
Description: Add a sliding box at the top of your blog where you can write anything.. - special thanks to Francesco Fullone
Version: 0.1
Author: Davide Del Monte
Author URI: http://www.diplod.it/
 */

add_action('wp_head', 'dd_welcome_head');
function dd_welcome_head()
{	
	$welcome = get_option('dd_welcome');
	
	$js = "<script type=\"text/javascript\" src=\"".get_bloginfo('wpurl')."/wp-includes/js/scriptaculous/prototype.js\"></script>";
	$js .= "<script type=\"text/javascript\" src=\"".get_bloginfo('wpurl')."/wp-includes/js/scriptaculous/scriptaculous.js?load=effects\"></script>";
	
	$css = "\n<style type='text/css'>";
	$css .= "div#dd-welcome { margin:0; padding:0; display:block; top:0; left:0; ";
	$css .= "color:".$welcome['textcolor']."; border-bottom: 1px solid ".$welcome['textcolor']."; ";
	$css .= "background-color:".$welcome['bgcolor'].";";
	$css .= "background-image: url(".$welcome['image']."); ";
	$css .= ($welcome['position']=='fixed')?"position:fixed; ":"position: absolute;";
	$css .= "height:".$welcome['height']."; width:100%; }\n";
	$css .= "#dd-welcome p { margin: 20px; clear: both;}\n";
	$css .= "a#dd-link { display:block; top:0; z-index: 10; color: #D6D6D6; font-size: 11px; line-height: 15px; text-decoration: none; ";
	$css .= ($welcome['align']=='left')?"left:".$welcome['margin']."; ":"right:".$welcome['margin']."; ";
	$css .= ($welcome['position']=='fixed')?"position:fixed; ":"position: absolute;";
	$css .= "background: #333 url(".get_bloginfo('wpurl')."/wp-content/plugins/dd-linkbg.gif) repeat-x top; ";
	$css .= "margin: 0; padding: 0 16px; border: 1px solid #d6d6d6; border-top: none; height:15px; z-index:10; }";
	$css .= "a#dd-link:hover { text-decoration: none; }";
	$css .= "</style>\n";
	
	echo $js;
	echo $css;
}

add_action('wp_footer','dd_welcome_footer');
function dd_welcome_footer()
{	
	$welcome = get_option('dd_welcome');
	echo ('
	<a id="dd-link" title="Open.." href="#" onclick="Effect.toggle(document.getElementById(\'dd-welcome\'),\'blind\'); return false">'.stripslashes($welcome['button']).'</a>	
	<div id="dd-welcome" style="display: none;"><p>'.stripslashes($welcome['text']).'</p></div>');
}

add_action('admin_menu', 'dd_welcome_admin');
function dd_welcome_admin()
{	
	if ( function_exists('add_submenu_page') )
	add_options_page(__('Welcome Manager','fcc'),__('Welcome Manager','fcc'), 'manage_options', 'dd_welcome', 'dd_welcome_page');
}

if ( ! function_exists('wp_nonce_field') )
{
	function dd_welcome_nonce_field($action = -1) { return; }
	$dd_welcome_nonce = -1;
}
else
{
	function dd_welcome_nonce_field($action = -1) { return wp_nonce_field($action); }
	$dd_welcome_nonce = 'dd_welcome_save';
}



function dd_welcome_page()
{
	global $dd_welcome_nonce;
	
	if ( isset($_POST['submit']) )
	{
		if ( function_exists('current_user_can') && !current_user_can('manage_options') )
			die(__('Cheatin&#8217; uh?'));

		check_admin_referer($dd_welcome_nonce);
		update_option('dd_welcome', array(
											
											'text' => ($_POST['dd_welcome_text']!=null)? $_POST['dd_welcome_text'] : "Hi, this is just another webblog, and I'm so tired thath I cannot update this stupid welcome phrase.. Bye!",
											'button' => ($_POST['dd_welcome_button']!=null)? $_POST['dd_welcome_button'] : "Info?",
											'bgcolor' => ($_POST['dd_welcome_bgcolor']!=null)? $_POST['dd_welcome_bgcolor'] : "#333",
											'image' => ($_POST['dd_welcome_img']!=null)? $_POST['dd_welcome_img'] : "",
											'textcolor' => ($_POST['dd_welcome_textcolor']!=null)? $_POST['dd_welcome_textcolor'] : "#fff",
											'height' => ($_POST['dd_welcome_height']!=null)? $_POST['dd_welcome_height'] : "auto",
											'align' => $_POST['dd_welcome_align'],
											'margin' => ($_POST['dd_welcome_margin']!=null) ? $_POST['dd_welcome_margin'] : "10%",
											'position' => $_POST['dd_welcome_position'],
											)
					);
			
	}	
	
	$welcome_code = get_option('dd_welcome');
?>

	<div class="wrap">
		<h2>diploD Welcome manager</h2>
		<div class="">
		<p>
			This plugin add a sliding box on your template without touching the code.<br/>
			You can set the appearance of your box.. 
			If you want a background image: upload it on your space and put the image url in the image location.
		</p>
		</div>
		<form name="form1" method="post" action="">
			<?php dd_welcome_nonce_field($dd_welcome_nonce) ?>
			<fieldset class="options">
		
			<legend>Add a nice CSS welcome to your WP Theme</legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform">
			<tr valign="top">
				<th width="33%" scope="row">Welcome Text: <br/><small>You can use simple HTML tags..<br/>
				examples:<br/>
				&lt;a href="http://www.diplod.it"&gt;diploD&lt;/a&gt;<br />
				&lt;em&gt;<br />
				&lt;strong&gt;
				</small></th>
				<td><textarea cols="40" rows="10" name="dd_welcome_text" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;"><?php echo stripslashes($welcome_code['text']);?></textarea></td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Button text (example: Info?):</th>
				<td>
					<input type="text" size="40" name="dd_welcome_button" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo stripslashes($welcome_code['button']); ?>"/>
				</td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Background Color (example: #333):</th>
				<td>
					<input type="text" size="40" name="dd_welcome_bgcolor" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $welcome_code['bgcolor']; ?>"/>
				</td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Background Image Url (repeat-all): <br><small> No idea? Try <a href="http://www.stripegenerator.com/" title="Generate seamless striped background images!">stripes</a> or <a href="http://www.tartanmaker.com/" title="Generate seamless tartan patterns!">tartan</a></small></th>
				<td><input type="text" size="40" name="dd_welcome_img" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $welcome_code['image']; ?>"/></td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Text Color (example: #fff):</th>
				<td>
					<input type="text" size="40" name="dd_welcome_textcolor" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $welcome_code['textcolor']; ?>"/>
				</td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Box Height (example: 100px):</th>
				<td>
					<input type="text" size="40" name="dd_welcome_height" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $welcome_code['height']; ?>"/>
				</td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Button Align:</th>
				<td>
					<select name="dd_welcome_align">
					<?php if ($welcome_code['align'] == 'left') { $left = 'selected="selected"'; $right = '';} else {$right = 'selected="selected"'; $left = '';} ?>
					<option value="left" <?php echo($left);?> ><?php echo __('Left');?></option>				
					<option value="right" <?php echo($right);?> ><?php echo __('Right');?></option>				
					</select>
				</td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Button Margin (examples: 30px, 20%, 4em..):</th>
				<td>
					<input type="text" size="40" name="dd_welcome_margin" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $welcome_code['margin']; ?>"/>
				</td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Button Position (fixed or not..): <br/><small> Hey, the fixed rule doesn't work on IE6!</small></th>
				<td>
					<select name="dd_welcome_position">
					<?php if ($welcome_code['position'] == 'fixed') { $fixed = 'selected="selected"'; $absolute = '';} else {$absolute = 'selected="selected"'; $fixed = '';} ?>
					<option value="fixed" <?php echo($fixed);?> ><?php echo __('fixed');?></option>				
					<option value="absolute" <?php echo($absolute);?> ><?php echo __('absolute');?></option>				
					</select>
				</td>
			</tr>
			</table>
			
			</fieldset>
			<p><input type="submit" name="submit" value="<?php _e('Save Changes');?>" /></p>
		</form>
	<p><small>Want to translate this plugin page? Tell me: info@diplod.it</small></p>
	</div>

<?php
}

?>